com.sun.mail.util

## Class LogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.sun.mail.util.LogOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class LogOutputStream
      extends OutputStream

  Capture output lines and send them to the mail logger.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Level` | `level`
    `protected MailLogger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogOutputStream(MailLogger logger)` Log to the specified logger.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `log(String msg)` Log the specified message.
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected MailLogger logger

    - #### level

          protected Level level

  - ### Constructor Detail

    - #### LogOutputStream

          public LogOutputStream(MailLogger logger)

      Log to the specified logger.
      Parameters:
        `logger` - the MailLogger

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### log

          protected void log(String msg)

      Log the specified message. Can be overridden by subclass to do different logging.
      Parameters:
        `msg` - the message to log

Copyright © 2016 Oracle. All rights reserved.